wxRuby Documentation Home

# Wx::Button

A button is a control that contains a text string,
and is one of the most common elements of a GUI. It may be placed on a
dialog box or panel, or indeed
almost any other window.

## Derived from

Control

Window

EvtHandler

Object

## Window styles

`BU_LEFT` | Left-justifies the label. Windows and GTK+ only.
`BU_TOP` | Aligns the label to the top of the button. Windows and GTK+ only.
`BU_RIGHT` | Right-justifies the bitmap label. Windows and GTK+ only.
`BU_BOTTOM` | Aligns the label to the bottom of the button. Windows and GTK+ only.
`BU_EXACTFIT` | Creates the button as small as possible instead of making it of the standard size (which is the default behaviour ).
`NO_BORDER` | Creates a flat button. Windows and GTK+ only.

See also window styles overview.

## Event handling

evt_button(id) { | event | … } | Process a EVT_COMMAND_BUTTON_CLICKED event,when the button is clicked.

## See also

BitmapButton

## Methods

- Button.new
- Button#create
- Button#get_label
- Button#get_default_size
- Button#set_default
- Button#set_label

### Button.new

Button.new(%(arg-type)Window% parent, Integer id, String label = ’’, Point pos = DEFAULT_POSITION, Size size = DEFAULT_SIZE, Integer style = 0, Validator validator = DEFAULT_VALIDATOR, String name = “button”)

Constructor, creating and showing a button.

The preferred way to create standard buttons is to use default value of
label. If no label is supplied and id is one of standard IDs from
this list, standard label will be used. In addition to
that, the button will be decorated with stock icons under GTK+ 2.

#### Parameters

- parent Parent window. Must not be NULL.
- id Button identifier. A value of `ID_ANY` indicates a default value.
- label Text to be displayed on the button.
- pos Button position.
- size Button size. If the default size is specified then the button is sized
  appropriately for the text.
- style Window style. See Button.
- validator Window validator.
- name Window name.

#### See also

Button#create, Validator

destructor()

Destructor, destroying the button.

### Button#create

Boolean create(%(arg-type)Window% parent, Integer id, String label = ’’, Point pos = DEFAULT_POSITION, Size size = DEFAULT_SIZE, Integer style = 0, Validator validator, String name = “button”)

Button creation function for two-step creation. For more details, see
Button.new.

### Button#get_label

String get_label()

Returns the string label for the button.

#### Return value

The button’s label.

#### See also

Button#set_label

### Button#get_default_size

Size get_default_size()

Returns the default size for the buttons. It is advised to make all the dialog
buttons of the same size and this function allows to retrieve the (platform and
current font dependent size) which should be the best suited for this.

### Button#set_default

set_default()

This sets the button to be the default item for the panel or dialog
box.

#### Remarks

Under Windows, only dialog box buttons respond to this function. As
normal under Windows and Motif, pressing return causes the default button to
be depressed when the return key is pressed. See also Window#set_focus which sets the keyboard focus for windows and text panel items, and TopLevelWindow#set_default_item.

Note that under Motif, calling this function immediately after
creation of a button and before the creation of other buttons
will cause misalignment of the row of buttons, since default
buttons are larger. To get around this, call SetDefault after you have created a row of buttons: Widgets will
then set the size of all buttons currently on the panel to
the same size.

### Button#set_label

set_label(%(arg-type)String% label)

Sets the string label for the button.

#### Parameters

- label The label to set.

#### See also

Button#get_label

[This page automatically generated from the Textile source at 2023-06-09 00:45:28 +0000]